Subject: bug#21284: 25.0.50; `completion-file-name-table' should/not use `nreverse'?

From: Noam Postavsky <[email-masked]>
Date: Tue, 7 Jun 2016 22:43:10 -0400

retitle 21284 eshell does not sort completion candidates
quit

On Mon, Jun 6, 2016 at 2:50 PM, Eli Zaretskii <[email-masked]> wrote:
> Then what exactly is the problem here?  Emacs doesn't know in what
> order the files are returned, it considers the order random.
> Reversing a randomly ordered list produces another randomly ordered
> list.  Applications that need to present the list in some specific
> order need to do that explicitly.  For example, "C-x C-f TAB TAB" does
> display the files in alphabetic order for me, not in reverse
> alphabetic order.

So the problem is that eshell's completion doesn't sort its candidates.